org.eclipse.rdf4j.repository.base

## Class RepositoryConnectionBase

- java.lang.Object
- - org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection
  - - org.eclipse.rdf4j.repository.base.RepositoryConnectionBase

- All Implemented Interfaces:
    AutoCloseable, RepositoryConnection

  Deprecated.
  since 2.0. Use `AbstractRepositoryConnection` instead.

      @Deprecated
      public abstract class RepositoryConnectionBase
      extends AbstractRepositoryConnection

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConnectionBase(Repository repository)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.repository.base.AbstractRepositoryConnection

      `add, add, add, add, add, add, add, add, addWithoutCommit, addWithoutCommit, begin, clear, close, conditionalCommit, conditionalRollback, export, getIsolationLevel, getParserConfig, getRepository, getValueFactory, hasStatement, hasStatement, isAutoCommit, isEmpty, isOpen, prepareBooleanQuery, prepareGraphQuery, prepareQuery, prepareTupleQuery, prepareUpdate, remove, remove, remove, remove, removeWithoutCommit, removeWithoutCommit, setAutoCommit, setIsolationLevel, setParserConfig, startLocalTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.RepositoryConnection

      `add, add, add, add, add, add, add, add, begin, begin, clearNamespaces, commit, exportStatements, getContextIDs, getNamespace, getNamespaces, getStatements, getStatements, getStatements, hasStatement, isActive, prepare, prepareBooleanQuery, prepareBooleanQuery, prepareGraphQuery, prepareGraphQuery, prepareQuery, prepareQuery, prepareTupleQuery, prepareTupleQuery, prepareUpdate, prepareUpdate, remove, remove, removeNamespace, rollback, setNamespace, size`

- - ### Constructor Detail

    - #### RepositoryConnectionBase

          protected RepositoryConnectionBase(Repository repository)

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.